<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('conf.inc.php');


// check
	if (!$_GET['mb_id'])
		msg('올바른 URL로 접근하여 주십시오');


// data
	// set data
		$mail_file_table = $AUTH[auth_m_mf_table];

	// check
	// [2023-04-27] 편지함 트리 지원
	$cg = get_mail_box_tree_class();
	if ($cg->getChildCount($_GET['mb_id'], "AND " . get_mail_box_where() . "") > 0)
		msg("하위 편지함이 있으므로 삭제할 수 없습니다.");

	$mf_cnt= db_get_one("SELECT COUNT(*)  FROM " . $mail_file_table . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_id='" . $_GET['mb_id'] . "'");
	if ($mf_cnt > 0)
		msg("편지함이 비어있지 않아 삭제할 수 없습니다.\\n\\n[편지함 비우기]를 먼저 실행하시기 바랍니다.");

	$sql = " DELETE FROM " . $TB[MAIL_BOX] . " WHERE m_no='". $AUTH['auth_m_no'] . "' AND mb_id='" . $_GET['mb_id'] . "' ";
	db_query($sql);

	// [2025-09-03] m_cfg_new_mail_box만 업데이트
	$row = get_default_config($AUTH['auth_m_no']);

	$_ex = explode('|', $row['m_cfg_new_mail_box']);

	if (in_array($_GET['mb_id'], $_ex)) {
		$mail_box = array_filter($_ex, function ($item) {
			return $item !== $_GET['mb_id'];
		});

		$m_cfg_new_mail_box = implode('|', $mail_box);

		$sql = "
			UPDATE
				" . $TB['MEMBER'] . "
			SET
				m_cfg_new_mail_box = '" . $m_cfg_new_mail_box . "',
				m_last_modifydate='" . date("Y-m-d H:i:s") . "'
			WHERE
				m_no = '" . $AUTH['auth_m_no'] . "'
			";

		db_query($sql);
	}

// end
	#msg("편지함이 삭제되었습니다.", 0);
	movepage('mail_box.php');


require_once('include/global_end.php');
?>